%define dist Variable-Magic
Name: perl-%dist
Version: 0.43
Release: alt1.1

Summary: Associate user-defined magic to variables from Perl
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: http://www.cpan.org/authors/id/V/VP/VPIT/Variable-Magic-0.43.tar.gz

# Automatically added by buildreq on Mon Apr 12 2010
BuildRequires: perl-Test-Pod perl-Test-Pod-Coverage perl-threads

%description
Magic is Perl's way of enhancing variables.  This mechanism lets the user
add extra data to any variable and hook syntactical operations (such as
access, assignment or destruction) that can be applied to it.  With this
module, you can add your own magic to any variable without having to write
a single line of XS.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/Variable*
%perl_vendor_autolib/Variable*

%changelog
* Fri Nov 05 2010 Vladimir Lettiev <crux@altlinux.ru> 0.43-alt1.1
- rebuilt with perl 5.12

* Tue Jul 13 2010 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1
- automated CPAN update

* Mon Apr 12 2010 Alexey Tourbin <at@altlinux.ru> 0.41-alt1
- initial revision, for B::Hooks::EndOfScope
